Manifest-Version: 1.0
Bnd-LastModified: 1569316851022
Build-Jdk: 1.8.0_171
Built-By: root
Bundle-Description: Initializes Synapse and the required mediation tasks
  for the ESB
Bundle-DocURL: http://www.wso2.org/
Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion: 2
Bundle-Name: org.wso2.carbon.mediation.initializer
Bundle-SymbolicName: org.wso2.carbon.mediation.initializer
Bundle-Vendor: WSO2
Bundle-Version: 4.7.16
CAPP_MANAGER-RequiredServices: org.wso2.carbon.mediation.initializer.ser
 vices.SynapseEnvironmentService
Created-By: Apache Maven Bundle Plugin
DynamicImport-Package: *
Export-Package: org.wso2.carbon.mediation.initializer;uses:="org.apache.
 axis2.engine,org.apache.synapse,org.apache.synapse.config,org.apache.sy
 napse.core,org.apache.synapse.mediators,org.apache.synapse.util.resolve
 r,org.osgi.service.component,org.w3c.dom.ls,org.wso2.carbon.application
 .deployer.service,org.wso2.carbon.core,org.wso2.carbon.event.core,org.w
 so2.carbon.inbound.endpoint.persistence.service,org.wso2.carbon.mediati
 on.dependency.mgt.services,org.wso2.carbon.mediation.initializer.persis
 tence,org.wso2.carbon.mediation.ntask.internal,org.wso2.carbon.mediatio
 n.registry.services,org.wso2.carbon.registry.core.service,org.wso2.carb
 on.registry.core.session,org.wso2.carbon.securevault,org.wso2.carbon.ta
 sk.services,org.wso2.carbon.utils,org.xml.sax";version="4.7.16",org.wso
 2.carbon.mediation.initializer.configurations;uses:="org.apache.axis2.c
 ontext,org.apache.axis2.engine,org.apache.commons.logging,org.apache.sy
 napse.config,org.apache.synapse.core,org.wso2.carbon.registry.core.exce
 ptions,org.wso2.carbon.registry.core.session";version="4.7.16",org.wso2
 .carbon.mediation.initializer.handler;uses:="org.apache.axis2,org.apach
 e.axis2.context,org.apache.axis2.engine,org.apache.axis2.handlers,org.a
 pache.synapse,org.apache.synapse.carbonext,org.apache.synapse.commons.u
 til.ext";version="4.7.16",org.wso2.carbon.mediation.initializer.multite
 nancy;uses:="org.apache.axiom.om,org.apache.axis2.context,org.apache.sy
 napse,org.apache.synapse.config,org.apache.synapse.config.xml,org.wso2.
 carbon.registry.core,org.wso2.carbon.utils";version="4.7.16",org.wso2.c
 arbon.mediation.initializer.persistence;uses:="org.apache.axiom.om,org.
 apache.axis2.engine,org.apache.commons.logging,org.apache.synapse,org.a
 pache.synapse.commons.executors,org.apache.synapse.config,org.apache.sy
 napse.config.xml,org.apache.synapse.core.axis2,org.apache.synapse.endpo
 ints,org.apache.synapse.eventing,org.apache.synapse.inbound,org.apache.
 synapse.libraries.imports,org.apache.synapse.mediators.base,org.apache.
 synapse.mediators.template,org.apache.synapse.message.processor,org.apa
 che.synapse.message.store,org.apache.synapse.registry,org.apache.synaps
 e.rest,org.wso2.carbon.mediation.initializer.persistence.registry,org.w
 so2.carbon.registry.core.session";version="4.7.16",org.wso2.carbon.medi
 ation.initializer.persistence.registry;uses:="org.apache.axiom.om,org.a
 pache.commons.logging,org.wso2.carbon.registry.core.exceptions,org.wso2
 .carbon.registry.core.session";version="4.7.16",org.wso2.carbon.mediati
 on.initializer.services;uses:="org.apache.axis2.context,org.apache.syna
 pse.config,org.apache.synapse.core,org.osgi.framework";version="4.7.16"
 ,org.wso2.carbon.mediation.initializer.utils;uses:="org.osgi.framework"
 ;version="4.7.16"
Import-Package: org.osgi.service.component;version="[1.2.0,2.0.0)",javax
 .xml.namespace;resolution:=optional,javax.xml.stream;resolution:=option
 al;version="[1.0,2)",javax.xml.transform.stream;resolution:=optional,or
 g.apache.axiom.om;resolution:=optional,org.apache.axiom.om.impl.builder
 ;resolution:=optional,org.apache.axiom.om.impl.llom;resolution:=optiona
 l;version="[1.2,2)",org.apache.axis2;resolution:=optional;version="[1.6
 ,2)",org.apache.axis2.addressing;resolution:=optional;version="[1.6,2)"
 ,org.apache.axis2.context;resolution:=optional;version="[1.6,2)",org.ap
 ache.axis2.deployment;resolution:=optional;version="[1.6,2)",org.apache
 .axis2.description;resolution:=optional;version="[1.6,2)",org.apache.ax
 is2.engine;resolution:=optional;version="[1.6,2)",org.apache.axis2.hand
 lers;resolution:=optional;version="[1.6,2)",org.apache.axis2.util;resol
 ution:=optional;version="[1.6,2)",org.apache.commons.io;resolution:=opt
 ional;version="[2.0,3)",org.apache.commons.logging;resolution:=optional
 ;version="[1.2,2)",org.apache.synapse;resolution:=optional,org.apache.s
 ynapse.carbonext;resolution:=optional,org.apache.synapse.commons.execut
 ors;resolution:=optional,org.apache.synapse.commons.executors.config;re
 solution:=optional,org.apache.synapse.commons.snmp;resolution:=optional
 ,org.apache.synapse.commons.util.ext;resolution:=optional,org.apache.sy
 napse.config;resolution:=optional,org.apache.synapse.config.xml;resolut
 ion:=optional,org.apache.synapse.config.xml.endpoints;resolution:=optio
 nal,org.apache.synapse.config.xml.eventing;resolution:=optional,org.apa
 che.synapse.config.xml.inbound;resolution:=optional,org.apache.synapse.
 config.xml.rest;resolution:=optional,org.apache.synapse.core;resolution
 :=optional,org.apache.synapse.core.axis2;resolution:=optional,org.apach
 e.synapse.debug;resolution:=optional,org.apache.synapse.deployers;resol
 ution:=optional,org.apache.synapse.endpoints;resolution:=optional,org.a
 pache.synapse.eventing;resolution:=optional,org.apache.synapse.inbound;
 resolution:=optional,org.apache.synapse.libraries.imports;resolution:=o
 ptional,org.apache.synapse.mediators;resolution:=optional,org.apache.sy
 napse.mediators.base;resolution:=optional,org.apache.synapse.mediators.
 template;resolution:=optional,org.apache.synapse.message.processor;reso
 lution:=optional,org.apache.synapse.message.store;resolution:=optional,
 org.apache.synapse.registry;resolution:=optional,org.apache.synapse.res
 t;resolution:=optional,org.apache.synapse.startup;resolution:=optional,
 org.apache.synapse.task;resolution:=optional,org.apache.synapse.util.ja
 xp;resolution:=optional,org.apache.synapse.util.resolver;resolution:=op
 tional,org.apache.ws.security.kerberos;resolution:=optional;version="[1
 .5,2)",org.osgi.framework;resolution:=optional;version="[1.9,2)",org.w3
 c.dom.ls;resolution:=optional,org.wso2.carbon.application.deployer;reso
 lution:=optional;version="[4.5,5)",org.wso2.carbon.application.deployer
 .service;resolution:=optional;version="[4.5,5)",org.wso2.carbon.base;re
 solution:=optional;version="[1.0,2)",org.wso2.carbon.context;resolution
 :=optional;version="[4.5,5)",org.wso2.carbon.core;resolution:=optional;
 version="[4.5,5)",org.wso2.carbon.core.multitenancy.utils;resolution:=o
 ptional;version="[4.5,5)",org.wso2.carbon.event.core;resolution:=option
 al;version="[4.7,5)",org.wso2.carbon.inbound.endpoint;resolution:=optio
 nal;version="[4.7,5)",org.wso2.carbon.inbound.endpoint.persistence.serv
 ice;resolution:=optional;version="[4.7,5)",org.wso2.carbon.mediation.de
 pendency.mgt.services;resolution:=optional;version="[4.7,5)",org.wso2.c
 arbon.mediation.initializer;resolution:=optional,org.wso2.carbon.mediat
 ion.initializer.configurations;resolution:=optional,org.wso2.carbon.med
 iation.initializer.handler;resolution:=optional,org.wso2.carbon.mediati
 on.initializer.multitenancy;resolution:=optional,org.wso2.carbon.mediat
 ion.initializer.persistence;resolution:=optional,org.wso2.carbon.mediat
 ion.initializer.persistence.registry;resolution:=optional,org.wso2.carb
 on.mediation.initializer.services;resolution:=optional,org.wso2.carbon.
 mediation.initializer.utils;resolution:=optional,org.wso2.carbon.mediat
 ion.ntask;resolution:=optional;version="[4.7,5)",org.wso2.carbon.mediat
 ion.ntask.internal;resolution:=optional;version="[4.7,5)",org.wso2.carb
 on.mediation.registry;resolution:=optional;version="[4.7,5)",org.wso2.c
 arbon.mediation.registry.services;resolution:=optional;version="[4.7,5)
 ",org.wso2.carbon.registry.api;resolution:=optional;version="[1.0,2)",o
 rg.wso2.carbon.registry.core;resolution:=optional;version="[1.0,2)",org
 .wso2.carbon.registry.core.exceptions;resolution:=optional;version="[1.
 0,2)",org.wso2.carbon.registry.core.jdbc.utils;resolution:=optional;ver
 sion="[1.0,2)",org.wso2.carbon.registry.core.service;resolution:=option
 al;version="[1.0,2)",org.wso2.carbon.registry.core.session;resolution:=
 optional;version="[1.0,2)",org.wso2.carbon.securevault;resolution:=opti
 onal;version="[4.5,5)",org.wso2.carbon.task.services;resolution:=option
 al;version="[4.7,5)",org.wso2.carbon.utils;resolution:=optional;version
 ="[4.5,5)",org.wso2.securevault.secret;resolution:=optional;version="[1
 .1,2)",org.xml.sax;resolution:=optional
Require-Capability: osgi.service;filter:="(objectClass=org.wso2.carbon.a
 pplication.deployer.service.ApplicationManagerService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=org.wso2.carbon.event.core.EventB
 roker)";effective:=active,osgi.service;filter:="(objectClass=org.wso2.c
 arbon.inbound.endpoint.persistence.service.InboundEndpointPersistenceSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=org.wso2.c
 arbon.mediation.dependency.mgt.services.ConfigurationTrackingService)";
 effective:=active,osgi.service;filter:="(objectClass=org.wso2.carbon.me
 diation.ntask.internal.NtaskService)";effective:=active;resolution:=opt
 ional,osgi.service;filter:="(objectClass=org.wso2.carbon.mediation.regi
 stry.services.SynapseRegistryService)";effective:=active,osgi.service;f
 ilter:="(objectClass=org.wso2.carbon.registry.core.service.RegistryServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=org.wso2.car
 bon.securevault.SecretCallbackHandlerService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=org.wso2.carbon.task.services.TaskDescript
 ionRepositoryService)";effective:=active,osgi.service;filter:="(objectC
 lass=org.wso2.carbon.task.services.TaskSchedulerService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=org.wso2.carbon.utils.Configura
 tionContextService)";effective:=active,osgi.ee;filter:="(&(osgi.ee=Java
 SE)(version=1.8))"
Service-Component: OSGI-INF/esb.core.initializer.xml
Tool: Bnd-3.2.0.201605172007
